﻿namespace TeeChartCustomPointProblem
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Diagnostics;
    using System.Drawing;
    using System.Text;
    using System.Xml.Serialization;
    using Steema.TeeChart.Drawing;
    using Steema.TeeChart.Styles;
    using Steema.TeeChart;    

    [Description("Tester Plot graph component"),
    ToolboxItem(true)]
    [Serializable]
    public partial class Tester : TChart
    {
        [XmlIgnore]
        private Points pointsSeries = null;

        public Tester()
        {
            this.SetUpComponent();
        }

        public Tester(IContainer container)
        {
            container.Add(this);

            this.SetUpComponent();
        }

        private void SetUpComponent()
        {
            this.InitializeComponent();

            this.pointsSeries = new Points(this.Chart);
            this.pointsSeries.Pointer.Style = PointerStyles.Circle;

            this.pointsSeries.ColorEach = true;
            this.pointsSeries.Pointer.HorizSize = 3;
            this.pointsSeries.Pointer.VertSize = 3;

            this.Series.Add(this.pointsSeries);
        }
    }
}
